# Spec BaiBamIndex
Access to BAI (samtools-style).

Extends | BamIndex
All Extended | BamIndex
Defined in | <seqan/bam_io.h>
Signature | `template <> class BamIndex<Bai>;`

## Member Function Overview

- `BamIndex::BamIndex();`
  Constructor.

## Interface Function Overview

### Interface Functions Inherited From BamIndex

- `getUnalignedCount`
- `open`
- `save`

## Member Functions Detail

### `BamIndex::BamIndex();`

Constructor.

#### Remarks

Only the default constructor is provided.

#### Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @class BaiBamIndex
     *
     * @extends BamIndex
     *
     * @headerfile <seqan/bam_io.h>
     *
     * @brief Access to BAI (samtools-style).
     *
     * @signature template <> class BamIndex<Bai>;
     *
     * @fn BaiBamIndex::BamIndex
     *
     * @brief Constructor.
     *
     * @signature BamIndex::BamIndex();
     *
     * @section Remarks
     *
     * Only the default constructor is provided.
     */